Page MenuHomePhabricator

`MediaWikiMessageChecker::pagenameMessagesCheck` is incorrectly being applied also to translatable pages.
Closed, ResolvedPublic

Description

Setup

  • MediaWiki 1.27.3 (2fd9800) 06:05, 7 July 2017
  • PHP 7.0.18-0ubuntu0.16.04.1 (apache2handler)
  • MySQL 5.7.19-0ubuntu0.16.04.1
  • Translate MLEB 2017.07 (rETRAd57a103ee650) 18:32, 26 July 2017
  • UniversalLanguageSelector 2017-07-25 (1395f1b) 18:32, 26 July 2017

Issue
When trying to translate the name of namespace "Help" via the translation interface the following error is issued and the translation get's fuzzied: "Namespace changed from the definition". See e.g. this page. This does not happen to all namespaces, such as "Category" so it is working there. See e.g. that page. It will be nice if all namespaces could be translated.

Originally reported on mediawiki.org.

Event Timeline

Kghbln created this task.Aug 3 2017, 1:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2017, 1:15 PM
Nikerabbit triaged this task as Medium priority.Aug 3 2017, 1:47 PM

Removing line 151 from messagegroups/WikiPageMessageGroup.php should do it.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 3 2017, 1:47 PM
Kghbln awarded a token.Aug 3 2017, 1:55 PM
Noella94 claimed this task.Oct 8 2017, 6:46 PM

Removing line 151 from messagegroups/WikiPageMessageGroup.php should do it.

last line in that file is line 90

Yeah! It was my error. I instead checked messagegroups/WikiMessageGroup.php. Thanks

Change 383564 had a related patch set uploaded (by Noella94; owner: Noella94):
[mediawiki/extensions/Translate@master] MediaWikiMessageChecker::pagenameMessagesCheck, incorrectly applied to translatable pages

https://gerrit.wikimedia.org/r/383564

Change 383564 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] MediaWikiMessageChecker::pagenameMessagesCheck, incorrectly applied to translatable pages

https://gerrit.wikimedia.org/r/383564

D3r1ck01 closed this task as Resolved.Oct 16 2017, 10:06 AM
D3r1ck01 added a subscriber: D3r1ck01.

Resolving this ticket. Thanks for the work @Noella94.